locked
BIDS 2005 or 2008? on Visual Studio 2008 RRS feed

  • Question

  • A quick question..

    WE have just migrated to Visual Studio 2008 but are still with the SQL2005. While uninstalling VS2005 it also unistalled BIDS so I cant open any Analysis Services database in my new VS2008.

    Question is whether I have to install BIDS 2008 or can i just reinstall BIDS 2005  and start using VS2008 to open my existing SSAS databases.

    Also the OS is win2003. (Dont ask!!!!!!!!!)

    thanks
    Thursday, January 15, 2009 4:33 PM
    Answerer

Answers

  • You will need BIDS 2008 to work with SSAS 2008.  If you are still using SSAS 2005 you can actually use BIDS 2008 to deploy to either 2005 or 2008 versions.  If you are using SSIS 2005 and do not want to upgrade the packages then you will need BIDS 2005 since BIDS 2008 does not have a 2005 deployment option.

    As you probably already know, BIDS 2005 uses the VS 2005 shell and BIDS 2008 uses VS 2008.
    Dan English's BI Blog
    • Marked as answer by Gautham KamathEditor Friday, January 16, 2009 8:53 AM
    • Edited by Dan English Friday, January 16, 2009 10:31 AM fixed typo with a word either
    Thursday, January 15, 2009 6:31 PM
  • And you can have BIDS 2005 and BIDS 2008 installed side by side on the same PC.

    So to summarize.

    • BIDS 2008 can deploy to both SSAS 2005 and 2008 (file formats are the same)
    • SSIS & SSRS 2005 need BIDS 2005, BIDS 2008 will not work with them (file formats have changed)
    • BIDS 2005 only works in the VS2005 shell

    So if your SQL server is still SQL 2005 and if you are doing anything with SSIS or SSRS then you will need BIDS 2005 (which might mean having both VS2005 & VS2008 installed).


    http://geekswithblogs.net/darrengosbell - please mark correct answers
    Friday, January 16, 2009 1:47 AM

All replies

  • You will need BIDS 2008 to work with SSAS 2008.  If you are still using SSAS 2005 you can actually use BIDS 2008 to deploy to either 2005 or 2008 versions.  If you are using SSIS 2005 and do not want to upgrade the packages then you will need BIDS 2005 since BIDS 2008 does not have a 2005 deployment option.

    As you probably already know, BIDS 2005 uses the VS 2005 shell and BIDS 2008 uses VS 2008.
    Dan English's BI Blog
    • Marked as answer by Gautham KamathEditor Friday, January 16, 2009 8:53 AM
    • Edited by Dan English Friday, January 16, 2009 10:31 AM fixed typo with a word either
    Thursday, January 15, 2009 6:31 PM
  • And you can have BIDS 2005 and BIDS 2008 installed side by side on the same PC.

    So to summarize.

    • BIDS 2008 can deploy to both SSAS 2005 and 2008 (file formats are the same)
    • SSIS & SSRS 2005 need BIDS 2005, BIDS 2008 will not work with them (file formats have changed)
    • BIDS 2005 only works in the VS2005 shell

    So if your SQL server is still SQL 2005 and if you are doing anything with SSIS or SSRS then you will need BIDS 2005 (which might mean having both VS2005 & VS2008 installed).


    http://geekswithblogs.net/darrengosbell - please mark correct answers
    Friday, January 16, 2009 1:47 AM